package com.bonus.canteen.core.menu.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

public class MenuRecipeDetailV2PageDTO extends PageDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;
   @ApiModelProperty("开始时间")
   private LocalDate startDate;
   @ApiModelProperty("结束时间")
   private LocalDate endDate;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public LocalDate getStartDate() {
      return this.startDate;
   }

   public LocalDate getEndDate() {
      return this.endDate;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setStartDate(final LocalDate startDate) {
      this.startDate = startDate;
   }

   public void setEndDate(final LocalDate endDate) {
      this.endDate = endDate;
   }

}
